> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/live-data-scenarios-1/overruling-of-points.md).

# Overruling of Points

## Overview

An overrule happens when an umpire disagrees with a line judge on a call. It is occasionally linked with 'Point Replayed' - See 'Point Replayed' section for when they are used in conjunction with Point Replays.

**Scenario A**

* Player A hits the ball wide down the line. It is really close, so the line judge calls it in. The umpire disagrees and overrules the line judge's decision and calls the ball out. The point goes to player B.

**Scenario B**\
A line judge may call a ball out. The players stop playing as a result. The umpire disagrees that the ball was out and overrules the line judge's decision. As the players stopped playing the point, the point needs to be replayed.

## Packets

Generally, an overrule packet will come after a 'Point Started' packet, and before the Point packet.

For example, using Scenario A from above:

* Receive 'Point Started' packet
* Point plays through
* Umpire and line judge disagree, umpire overrules line judge
* Receive Point Packet
* Receive 'Overrule' packet, e.g.:
* Overrule JSON

```
{
  "server": {
    "team": "TeamB"
  },
  "timestamp": "2022-06-20T15:04:36.883Z",
  "numOverrules": 6,
  "nextServer": {
    "team": "TeamB"
  },
  "score": {
    "currentSetScore": {
      "gamesA": 4,
      "gamesB": 4
    },
    "overallSetScore": {
      "setsA": 1,
      "setsB": 1
    },
    "currentGameScore": {
      "pointsA": "30",
      "pointsB": "15",
      "gameType": "StandardGame"
    },
    "previousSetsScore": [
      {
        "gamesA": 2,
        "gamesB": 6
      },
      {
        "gamesA": 6,
        "gamesB": 4
      }
    ]
  },
  "eventElementType": "Overrule",
  "matchTime": "01:48:08",
  "seqNum": 504
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/tennis/live-data-scenarios-1/overruling-of-points.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
